Trust Centers
Reorder Trust Center resource categories
Reorders resource categories on a Trust Center. The request body must contain the complete set of category IDs in the desired order.
PUT
/
trust-centers
/
{slugId}
/
resource-categories
/
order
Reorder Trust Center resource categories
curl --request PUT \
--url https://api.vanta.com/v1/trust-centers/{slugId}/resource-categories/order \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"categoryIds": [
"<string>"
]
}
'import requests
url = "https://api.vanta.com/v1/trust-centers/{slugId}/resource-categories/order"
payload = { "categoryIds": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({categoryIds: ['<string>']})
};
fetch('https://api.vanta.com/v1/trust-centers/{slugId}/resource-categories/order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "93d69894dd525f806d7e5c48",
"name": "Policies"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Ordered list of all resource category IDs representing the desired order.
Response
200 - application/json
Ok
Show child attributes
Show child attributes
Was this page helpful?
Previous
Delete Trust Center resource categoryRemoves a resource category from a Trust Center. Resources in the
deleted category are moved to uncategorized.
Next
⌘I
Reorder Trust Center resource categories
